Components.utils.import("resource://gre/modules/Services.jsm");
var prefService = Services.prefs;

var currentPreference = prefService.getBoolPref('extensions.adblockvideo.disabled');

if (!currentPreference) {
  currentPreference = false;
  prefService.setBoolPref('extensions.adblockvideo.disabled', false);
}

var hideButton = prefService.getBoolPref('extensions.adblockvideo.toolbarButtonHidden');

if (!hideButton) {
  hideButton = false;
  prefService.setBoolPref('extensions.adblockvideo.toolbarButtonHidden', false);
}

var addonBar = document.getElementById("nav-bar");

function renderButtonImage(adBlockButton) {
  //if (!currentPreference) adBlockButton.setAttribute('image', 'chrome://adblockvideo/content/adblock_on.png');
  //else adBlockButton.setAttribute('image', 'chrome://adblockvideo/content/adblock_off.png');
  if (!currentPreference) {
    adBlockButton.setAttribute('state', 'on');
    adBlockButton.setAttribute('tooltiptext', 'AdBlock Video enabled.  Click to disable.');
  }
  else {
    adBlockButton.setAttribute('state', 'off');
    adBlockButton.setAttribute('tooltiptext', 'AdBlock Video disabled.  Click to enable.');
  }
}

buttonClick = function(event)
{
  currentPreference = prefService.getBoolPref('extensions.adblockvideo.disabled');
  currentPreference = !currentPreference;
  prefService.setBoolPref('extensions.adblockvideo.disabled', currentPreference);
  renderButtonImage(document.getElementById("adblockvideo-toolbar-button"));
  event.preventDefault();
}

hideButton = prefService.getBoolPref('extensions.adblockvideo.toolbarButtonHidden');

if (!hideButton) {
  var toolbarbutton = document.createElement("toolbarbutton");
  toolbarbutton.id = 'adblockvideo-toolbar-button';
  toolbarbutton.setAttribute('class', 'toolbarbutton-1 chromeclass-toolbar-additional');
  renderButtonImage(toolbarbutton);
  toolbarbutton.setAttribute('orient', 'horizontal');
  toolbarbutton.setAttribute('label', 'adblockvideo');
  toolbarbutton.setAttribute( 'onclick', 'buttonClick(event)' );
  toolbarbutton.setAttribute( 'ondblclick', 'buttonClick(event)' );
  addonBar.appendChild(toolbarbutton);
}

